View Issue Details

IDProjectCategoryView StatusLast Update
0000724Space WarsShips & Shuttlespublic2017-12-21 00:33
ReporterRibeyeAssigned ToRibeye 
PrioritynormalSeverityfeatureReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.43.0 
Target Version0.44.0Fixed in Version 
Summary0000724: Improve stationing routine of ships and shuttles
Description

The current solution of stationing ships and shuttles is quite unhandy and prone to fail at some point.

Implement a new version to prevent such errors and make the system easier to expand.

TagsNo tags attached.
Object ID
Object Type

Activities

Ribeye

Ribeye

2017-12-20 23:31

administrator   ~0000588

Fix committed to B#420 branch.

Related Changesets

SpaceWars: B#420 c2c6a6be

2017-12-20 23:31:04

Ribeye

Details Diff
Resolves 0000724 Affected Issues
0000724
mod - classes/colony.class.php Diff File
mod - classes/combat.class.php Diff File
mod - classes/fleet.class.php Diff File
mod - classes/flight_control.class.php Diff File
mod - classes/game_object.class.php Diff File
mod - classes/hyperdrive.class.php Diff File
mod - classes/notf_center.class.php Diff File
mod - classes/object_action.class.php Diff File
mod - classes/sensor_cr.class.php Diff File
mod - classes/sensor_lr.class.php Diff File
mod - classes/sensor_opt.class.php Diff File
mod - classes/settler.class.php Diff File
mod - classes/ship.class.php Diff File
mod - classes/shipyard.class.php Diff File
mod - classes/station.class.php Diff File
mod - classes/stationing.class.php Diff File
mod - classes/sw_darws.class.php Diff File
mod - classes/trade_route.class.php Diff File
mod - classes/window.class.php Diff File
mod - scripts/ressources/ship_update.php Diff File

Issue History

Date Modified Username Field Change
2017-12-18 19:57 Ribeye New Issue
2017-12-18 19:57 Ribeye Status new => assigned
2017-12-18 19:57 Ribeye Assigned To => Ribeye
2017-12-20 23:31 Ribeye Changeset attached => SpaceWars B#420 c2c6a6be
2017-12-20 23:31 Ribeye Note Added: 0000588
2017-12-20 23:31 Ribeye Status assigned => resolved
2017-12-20 23:31 Ribeye Resolution open => fixed